Bug 869020 - Review Request: python-glue - A simple command line tool to generate CSS sprites
Review Request: python-glue - A simple command line tool to generate CSS sprites
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 15:09 EDT by Lorenzo Gil Sanchez
Modified: 2012-12-20 10:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:34:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lorenzo Gil Sanchez 2012-10-22 15:09:06 EDT
Spec URL: http://lorenzogil.com/rpms/python-glue/python-glue.spec
SRPM URL: http://lorenzogil.com/rpms/python-glue/python-glue-0.2.7-1.fc17.src.rpm
Description:
Glue is a simple command line tool to generate CSS sprites using any kind
of source images like PNG, JPEG or GIF. Glue will generate a unique PNG file
containing every source image and a CSS file including the necessary CSS
classes to use the sprite.

Fedora Account System Username: lgs
Koji build for Fedora 17: http://koji.fedoraproject.org/koji/taskinfo?taskID=4616305

This is my second package and I still need a sponsor. I've been reviewing other package at https://bugzilla.redhat.com/show_bug.cgi?id=864464 and I also created another package review request at https://bugzilla.redhat.com/show_bug.cgi?id=866130
Comment 1 Matthias Runge 2012-10-22 15:42:28 EDT
I'll do a review
Comment 2 Matthias Runge 2012-10-23 05:30:32 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/mrunge/review/869020-python-glue/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Python:
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (glue-0.2.7.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-glue-0.2.7-1.fc19.src.rpm
          python-glue-0.2.7-1.fc19.noarch.rpm
python-glue.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/glue.py 0644L /usr/bin/env
python-glue.noarch: W: no-manual-page-for-binary glue
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-glue
python-glue.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/glue.py 0644L /usr/bin/env
python-glue.noarch: W: no-manual-page-for-binary glue
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-glue-0.2.7-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/python  
    python(abi) = 2.7
    python-imaging  



Provides
--------
python-glue-0.2.7-1.fc19.noarch.rpm:
    
    python-glue = 0.2.7-1.fc19



MD5-sum check
-------------
http://pypi.python.org/packages/source/g/glue/glue-0.2.7.tar.gz :
  CHECKSUM(SHA256) this package     : fce816fe47a8d27292539ef103cc7d6ce94d83b4c7e71403107d7067221af320
  CHECKSUM(SHA256) upstream package : fce816fe47a8d27292539ef103cc7d6ce94d83b4c7e71403107d7067221af320



- please remove egg-info during %prep section. it get re-generated later.
- please remove rm -rf from %install, it's not required.
- please fix that rpmlint error:
python-glue.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/glue.py 0644L /usr/bin/env
I'd simply remove the first line from that script during %prep:
sed -i -e "1d" glue.py
Comment 3 Matthias Runge 2012-10-23 06:08:46 EDT
lifting sponsor, as Lorenzo has been sponsored during review of bz 866130
Comment 5 Matthias Runge 2012-10-24 03:02:22 EDT
great,

package APPROVED
Comment 6 Lorenzo Gil Sanchez 2012-10-24 14:19:55 EDT
New Package SCM Request
=======================
Package Name: python-glue
Short Description: A simple command line tool to generate CSS sprites
Owners: lgs
Branches: f17 f18
InitialCC:
Comment 7 Gwyn Ciesla 2012-10-24 14:30:23 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-10-24 16:40:40 EDT
python-glue-0.2.7-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-glue-0.2.7-2.fc18
Comment 9 Fedora Update System 2012-10-24 16:41:57 EDT
python-glue-0.2.7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-glue-0.2.7-2.fc17
Comment 10 Fedora Update System 2012-10-26 15:31:28 EDT
python-glue-0.2.7-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-12-20 10:34:53 EST
python-glue-0.2.7-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.